package com.imageresizer;

import android.content.Context;

import com.bumptech.glide.Glide;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.ImageHeaderParserUtils;
import com.bumptech.glide.load.engine.bitmap_recycle.ArrayPool;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.List;

public class GlideFormatChecker {
    public ImageHeaderParser.ImageType getImageType(Context context, FileInputStream fis) throws IOException {

        ArrayPool arrayPool = Glide.get(context).getArrayPool();
        List<ImageHeaderParser> parsers = Glide.get(context).getRegistry().getImageHeaderParsers();

        return ImageHeaderParserUtils.getType(parsers, fis, arrayPool);
    }
}
