package com.imageresizer;

import com.bumptech.glide.load.resource.gif.GifDrawableEncoder;
import com.n4no.webpencoder.codec.WebpBitmapEncoder;

import java.io.File;

public class EncoderFactory {
    public static MyEncoder getEncoder(File outputFile, StaticOptions options) {
        String type = options.outFormat;

        if ("gif".equalsIgnoreCase(type)) {
            return new MyGifEncoder(outputFile, options);
        } else if ("awebp".equalsIgnoreCase(type)) {
            return new MyWebpEncoder(outputFile, options);
        } else {
            throw new IllegalArgumentException("Unsupported encoding type: " + type);
        }
    }

}
