package com.imageresizer;

import android.graphics.Bitmap;


import com.gifencoder.AnimatedGifEncoder;

import java.io.File;

public class GifEncoder{

    private final AnimatedGifEncoder gifEncoder;

    public GifEncoder(File file, int delay) {
        gifEncoder = new AnimatedGifEncoder();
        gifEncoder.start(file.getAbsolutePath());
        gifEncoder.setRepeat(0);

        // extra
        gifEncoder.setDelay(delay);

    }

    protected void addFrame(Bitmap frame, int delay) {
        gifEncoder.addFrame(frame);
    }

    protected void finish() {
        gifEncoder.finish();
    }


}
